> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Development Order



## OpenAPI

````yaml /api/openapi-cutmake.json post /api/v1/development-orders
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/development-orders:
    post:
      tags:
        - Development Orders
      summary: Create Development Order
      operationId: create_development_order_api_v1_development_orders_post
      parameters:
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DevelopmentOrderIn'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    DevelopmentOrderIn:
      properties:
        rfsId:
          anyOf:
            - type: string
            - type: 'null'
          title: Rfsid
        rfsDocumentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Rfsdocumentid
        clientId:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientid
        clientName:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientname
        brand:
          anyOf:
            - type: string
            - type: 'null'
          title: Brand
        product:
          anyOf:
            - type: string
            - type: 'null'
          title: Product
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        sampleQuantity:
          anyOf:
            - type: number
            - type: 'null'
          title: Samplequantity
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        deadline:
          anyOf:
            - type: string
            - type: 'null'
          title: Deadline
        specsSheet:
          anyOf:
            - type: string
            - type: 'null'
          title: Specssheet
        qcReport:
          anyOf:
            - type: string
            - type: 'null'
          title: Qcreport
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        lineItems:
          anyOf:
            - items:
                $ref: '#/components/schemas/DevelopmentOrderLineItemIn'
              type: array
            - type: 'null'
          title: Lineitems
      type: object
      title: DevelopmentOrderIn
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DevelopmentOrderLineItemIn:
      properties:
        product:
          anyOf:
            - type: string
            - type: 'null'
          title: Product
        styleId:
          anyOf:
            - type: string
            - type: 'null'
          title: Styleid
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        quantity:
          anyOf:
            - type: number
            - type: 'null'
          title: Quantity
        remarks:
          anyOf:
            - type: string
            - type: 'null'
          title: Remarks
      type: object
      title: DevelopmentOrderLineItemIn
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````